1. Install Ubuntu. check hardware information ‘lshw’

2. Install google chrome
2.1 download google chrome in .deb format file
2.2 sudo apt-get update
2.3 sudo apt-get install libnss3-1d libxss1
2.4 sudo dpkg -i <google-chrome…deb>

3. sudo apt-get install vim

4. Install java – reference blogs.digitalworlds.net/softwarenotes/?p=41
4.1 sudo add-apt-repository ppa:webupd8team/java
4.2 sudo apt-get update && sudo apt-get install oracle-jdk7-installer
4.3 setup vpn – emc – download vpn.sh from https://sslvpn.emc.com
4.3.1 chmod a+x <vpn.sh>
4.3.2 sudo ./vpn.sh

5. Install eclipse – reference http://ksearch.wordpress.com/2012/10/26/how-do-i-install-eclipse-juno-in-ubuntu-12-04/
5.1  download eclipse and untar
5.2 sudo mv eclipse /opt
5.3 ln -s /opt/eclipse/eclipse /usr/bin/eclipse
5.4 sudo vim /usr/share/applications/eclipse.desktop
[Desktop Entry] Version=1.0 Name=Eclipse Exec=eclipse Terminal=false Icon=/opt/eclipse/icon.xpm Type=Application Categories=IDE;Development X-Ayatana-Desktop-Shortcuts=NewWindow [NewWindow Shortcut Group] Name=New Window Exec=eclipse Target Environment=Unity

6. Install Perl epic plugin for eclipse http://e-p-i-c.sf.net/updates

7. Install Ruby
sudo apt-get install g++
sudo apt-get install sqlite3
sudo apt-get install postgresql
sudo apt-get install libpq-dev
sudo apt-get install openssh-server
sudo apt-get install openssl download and install node.js – sudo ./configure;sudo make;sudo make install
sudo apt-get install curl
\curl -L https://get.rvm.io | bash -s stable
source /home/<user>/.rvm/scripts/rvm
rvm autolibs enable
rvm requirements
rvm install 1.9.3
rvm use 1.9.3 –default
rvm rubygems current
gem install rails

8. sudo apt-get install vim-gtk

9. vim plugin Vrapper — http://vrapper.sourceforge.net/udpate-site/stable

1. Create folder /home/<username>/git
2. git init
3. Open eclipse create project
4. Add files.
5. From terminal ‘git add .’ then ‘git commit -m “initial commit”‘
6. Create repository on github
7. git remote add origin https://github.com/jtsupro/journey.git
8. git pull <uri>
8. git push origin master

clone from existing repository

git clone git://github.com/jtsupro/journey.git

My Logitech usb headset have been working and it suddenly stop working. It turns out that I do update.

Enable usb headset again with these command:

sudo add-apt-repository ppa:ubuntu-audio-dev/ppa
sudo apt-get update; sudo apt-get dist-upgrade -y

http://download.eclipse.org/releases/juno > collaboration ‘Eclipse Edit

Just bought Dell XPS 210 from craiglist for $100 and try to install Ubuntu to make this machine as dev

First issue: after install Ubuntu, AHCI hang at boot up.
Resolve: open box, disconnect cable to hard drive, change to  ATA (instead of AHCI as default)

1. Ubuntu software center: search for chrom, flash and install.
2. sudo apt-get install vim
3. sudo apt-get install vim-gtk.
4. Install java JDK (prepare for Eclipse) – reference http://www.blogs.digitalworlds.net/softwarenotes/?p=41
sudo add-apt-repository ppa:webupd8team/java
sudo apt-get update && sudo apt-get install oracle-jdk7-installer
update-alternatives –display java
Edit /etc/environment – append JAVA_HOME=/usr/lib/jvm/java-7-oracle
5. Install eclipse – reference ksearch.wordpress.com.
6. Install perl plugin for eclipse – http://e-p-i-c.sf.net/updates
7. Install vim plugin – http://vrapper.sourceforge.net/update-site/stable
8. sudo apt-get install git
9. install git plugin – http://download.eclipse.org/egit/updates
+ git clone git@github.com:whatever folder-name
+ git config –global user.name “username”
+ git config –global user.email “email”
+ git config –global alias.co checkout
+ git config –global core.editor “vim”
10. Launch eclipse >File>Import>Git>
11. sudo apt-get install g++
12. sudo apt-get install sqlite3
13. sudo apt-get install postgresql
14. sudo apt-get install libpq-dev
15. sudo apt-get install openssh-server
16. download node.js and install; sudo ./configure,sudo make, sudo make install
17. sudo apt-get install curl
18. \curl -L https://get.rvm.io | bash -s stable
19. source ~/.rvm/scripts/rvm
20. rvm autolibs enable
21. rvm requirements
22. rvm install 1.9.3
23. rvm use 1.9.3 –default
24. gem install rails
18. install ruby/gem
19. gem install rails
20. Eclipse python http://pydev.org/updates
21. ruby http://download.eclipse.org/releases/juno   > programming languages > dynamic languages toolkit – Ruby Development Tools

Follow

Get every new post delivered to your Inbox.